/*
	# ---------------------------------------------------------------------
	#
	# Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image 
	#                        pour la Sant)
	# Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
	# Previous Authors : Laurent Guigues, Jean-Pierre Roux
	# CreaTools website : www.creatis.insa-lyon.fr/site/fr/creatools_accueil
	#
	#  This software is governed by the CeCILL-B license under French law and 
	#  abiding by the rules of distribution of free software. You can  use, 
	#  modify and/ or redistribute the software under the terms of the CeCILL-B 
	#  license as circulated by CEA, CNRS and INRIA at the following URL 
	#  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html 
	#  or in the file LICENSE.txt.
	#
	#  As a counterpart to the access to the source code and  rights to copy,
	#  modify and redistribute granted by the license, users are provided only
	#  with a limited warranty  and the software's author,  the holder of the
	#  economic rights,  and the successive licensors  have only  limited
	#  liability. 
	#
	#  The fact that you are presently reading this means that you have had
	#  knowledge of the CeCILL-B license and that you accept its terms.
	# ------------------------------------------------------------------------
*/
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <stdio.h>
#include <stdlib.h>
#include "brukerdataset.h"
//#include "brukerkspaceobject.h"

#include "gdcmArgMgr.h"
#include "gdcmDebug.h"
//#include "gdcmUtil.h"


int main(int argc, char *argv[])
{   
   START_USAGE(usage)
   " \n PrintParameterFile : \n                                                      ",
   " - explores the given Bruker parameter file,                   ",
   " - prints its content,                      ",
   " usage: BrukerToMhd filein=rukerParameterFile                               ",
   "                   [debug] [verbose]                           ",
   "                                                               ",
   "  debug      : developper wants to run the program in 'debug mode'     ",
   FINISH_USAGE

// ------------ Initialize Arguments Manager ----------------  
   GDCM_NAME_SPACE::ArgMgr *am= new GDCM_NAME_SPACE::ArgMgr(argc, argv);
  
   if (argc == 1 || am->ArgMgrDefined("usage") )
   {
      am->ArgMgrUsage(usage); // Display 'usage'
      delete am;
      return 1;
   }
   
   const char *fileNamein;   
   fileNamein  = am->ArgMgrWantString("filein",usage);
   
   if (am->ArgMgrDefined("debug"))
      GDCM_NAME_SPACE::Debug::DebugOn();
      
     /* if unused Param we give up */
   if ( am->ArgMgrPrintUnusedLabels() )
   {
      am->ArgMgrUsage(usage);
      delete am;
      return 1;
   } 

   delete am;  // we don't need Argument Manager any longer

   // ----------- End Arguments Manager ---------
       
  BrukerDataSet br1;
  //BrukerKspaceObject bro1(br1);
  std::string file2Read(fileNamein);
  br1.LoadFile(file2Read);
std::cout << "=============== FillMap =================" << std::endl;
  br1.FillMap();
std::cout << "=============== End FillMap =================" << std::endl;

  std::cout << "=============== PrintSelf =================" << std::endl;
  br1.PrintSelf();
  std::cout << "=============== End PrintSelf =============" << std::endl;

  return EXIT_SUCCESS;
}
